2012/1/6 shelarcy <shelarcy@gmail.com>
Hello,

This version has two installing problem.

1. wxdirect's sdist dropped IOExtra module, so I can't install this version.
I uploaded newer version for fixing this problem, and attached a patch
for fixing same problem in Dave's wxhaskell-dev branch.

Good catch, thanks, I've pushed to the -dev branch.
 

2. It seems that wxcore depends on Eric's wx-config implicitly at least
Windows environment. "cabal install" fail with wx-config-win binary,

Can you remember how this failed, or send some output from the failure, and also let us know what version of wxWidgets you have?
I'm hoping you say you have wx-2.9.x, in which case it could be this issue:
http://code.google.com/p/wx-config-win/issues/detail?id=21

and "cabal install" success with Eric's one. If wxcore depends on
wx-config package in only Windows environment, I think we should upload
Eric's wx-config package, and modify wxcore to denped on wx-config package
on  Windows environment for workaround.

if os(windows)
  Build-Depends: wx-config

wx-config package isn't uploaded yet. So, I don't upload newer version,
nor attach patch for fixing this problem.

We're still making a decision on whether to continue using wx-config(-win), or to adopt Eric's one.
I'm going to see if I can get a conversation going with the wxWidgets people and then I'll send out another mail.

Cheers,
 


Best Regards,



On Fri, 06 Jan 2012 02:44:24 +0900, Jeremy O'Donoghue <jeremy.odonoghue@gmail.com> wrote:
Hi Lists,

I am please to announce that wxHaskell 0.13.2 has just been uploaded to
Hackage.

This is mainly a bugfix release, although it brings a few useful changes:

  - Changes to support build under Haskell Platform 2011.4.0.0
  - OpenGL support if your wxWidgets build is configured with it
  (reinstated functionality)
  - StyledTextControl support if your wxWidgets build is configured with

  it (reinstated functionality)

This is intended to be the final wxHaskell release supporting wxWidgets
2.8.x.

Provided that you have a suitable Unicode wxWidgets 2.8 install configured
on your machine, you should be able to install with. cabal install wx

In the near future, we will be committing an updated wxHaskell release
supporting wxWidgets 2.9, but this implies a number of breaking API
changes, and the size of team supporting wxHaskell is not large enough to
cover both. As such, this release is recommended to those who will not be
able to move to wxWidgets 2.9 and later.

The next release has more significant improvements planned, including
wrapping several additional wxWIdgets libraries and restoring correct
operation in GHCi. We do not have a formal timeline as yet, but the code is
working in test repositories, and mainly needs work to make it
cross-platform clean.

This release has been tested on the following platforms:

  - Windows 7 / Haskell Platform 2011.4.0.0 / wxPack 2.8.12 (Unicode,
  Release)
     - OpenGL is not enabled on the test platform, so OpenGL samples do
     not work.
     - StyledTextControl is not enabled on the test platform, so STC
     samples do not work.
     - All other sample code compiles, links and runs, but has only been

     tested for Unicode wxWidgets builds.
  - Ubuntu 10.0.4 LTS (32 bit) / GHC 6.12 / wxWidgets 2.8.10
     - Repo packages: wx2.8-headers, libwxgtk2.8-0, libwxgtk2.8-dev,

     libglitz1, libglitz-gl1, libgl1-mesa-dri, libglu1-mesa, libglu1-mesa-dev,
     mesa-common-dev, libgl1-mesa-dev, libgl1-mesa-glx, ghc6
     - Cabal packages: strict, stm, OpenGL, cabal-install
     - OpenGL is enabled on the test platform, and the samples compile and
     run.
     - StyledTextControl is not enabled on the test platform, so STC
     samples do not work.
     - All other sample code compiles, links and runs, but has only been

     tested for Unicode wxWidgets.

I do not have access to an OS X platform for test, so would appreciate
feedback on any issues found by OS X users. There are known to be issues on
64 bit OS X builds, which will be addressed in the next release.

The source repository at code.haskell.org has not yet been updated with the
patches. This will happen in the next day or so.

--
shelarcy <shelarcy    hotmail.co.jp>
http://page.freett.com/shelarcy/

------------------------------------------------------------------------------
Ridiculously easy VDI. With Citrix VDI-in-a-Box, you don't need a complex
infrastructure or vast IT resources to deliver seamless, secure access to
virtual desktops. With this all-in-one solution, easily deploy virtual
desktops for less than the cost of PCs and save 60% on VDI infrastructure
costs. Try it free! http://p.sf.net/sfu/Citrix-VDIinabox
_______________________________________________
wxhaskell-devel mailing list
wxhaskell-devel@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/wxhaskell-devel